#
# spec file for package pptp (Version 1.7.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pptp
URL:            http://pptpclient.sourceforge.net/ 
Summary:        Point-to-Point Tunneling Protocol (PPTP) Client
Version:        1.7.0
Release:        13.2
Source:         %{name}-%{version}.tar.bz2
Source1:        pptp-command
Source2:        options.pptp
Source3:        pptp_fe.pl
Source4:        xpptp_fe.pl
Patch1:         pptp-makefile.patch
License:        GPL
Group:          Productivity/Networking/Security
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A client for the proprietary Microsoft Point-to-Point Tunneling
Protocol, PPTP.  It allows connections to a PPTP based VPN as used by
employers and some cable and ADSL service providers. It requires MPPE
support in the kernel. Use the ppp-mppe package.



Authors:
--------
    C. Scott Ananian <cananian@alumni.princeton.edu>
    
    Christoph Lameter <christoph@lameter.com>
    Gordon Chaffee <chaffee@HOME.COM>
    mulix <mulix@actcom.co.il>
    James Cameron <james.cameron@compaq.com>
    Rein Klazes <rklazes@xs4all.nl>
    Thomas Quinot <thomas@cuivre.fr.eu.org>
    Rhialto <rhialto@azenomei.knuffel.net>
    Scott Venier <scott@scooter.cx>
    Jeff Wiedemeier <Jeff.Wiedemeier@compaq.com>
    Yura Zotov <yz@altlinux.ru>

%debug_package
%prep
%setup -q -n %{name}-%{version}
%patch1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/ppp
mkdir -p $RPM_BUILD_ROOT/etc/pptp.d
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/sbin/pptp-command
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/ppp
find Documentation	-name CVS | xargs rm -rf
find Reference		-name CVS | xargs rm -rf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING INSTALL NEWS README TODO USING Documentation Reference
%attr(0755,root,root) /usr/sbin/pptp
%attr(0444,root,root) %{_mandir}/man8/pptp.8.gz
%attr(0755,root,root) /usr/sbin/pptp-command
%config %attr(0600,root,root) /etc/ppp/options.pptp
%attr(0755,root,root) /etc/pptp.d

%changelog -n pptp
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 01 2005 - arvin@suse.de
- updated to version 1.7.0
* Tue Mar 15 2005 - arvin@suse.de
- updated to version 1.6.0:
- several bug-fixes
- add --idle-wait option
* Mon Aug 09 2004 - meissner@suse.de
- Upgraded to 1.5.0:
- fix statistics when buffering disabled [Wilson]
- do not inherit the GRE socket [Cameron]
- fix a case of non-shutdown of call manager [Klazes]
- add --nobuffer option to eliminate all buffering of packets [Wilson]
- fix corruption of command line as shown by ps [Howarth]
- fix CPU loop after pppd killed [Cameron]
- fix compile for ARM architecture [Hopf]
- add documentation for command-line options [Wilson]
- do not hang when a connection is refused [McCurdy]
- better describe a cause of EMSGSIZE [Cameron]
* Tue Jun 22 2004 - arvin@suse.de
- use new options in options.pptp
* Mon Mar 01 2004 - hmacht@suse.de
- building as nonroot-user
- added patch pptp-makefile.patch because of wrong permissions
* Thu Feb 12 2004 - meissner@suse.de
- Upgraded to 1.4.0:
- support options before hostname [Wilson]
- defer OCRQ until after SCCRP [Cameron]
- include uninstall target [Pieter]
- only issue a warning if sync mode is different to pppd [Klazes]
- reformat and tidy code [Klazes]
- reduce transmitted ack-only packets from 40%% to 0.8%% [Klazes]
* Wed Jun 11 2003 - meissner@suse.de
- Upgraded to 1.3.1 bugfix release.
* Wed Jun 11 2003 - meissner@suse.de
- Upgraded to 1.3.0.
* Mon May 19 2003 - meissner@suse.de
- remove CVS files from install.
* Tue Feb 18 2003 - meissner@suse.de
- Upgrade to upstream 1.2.0:
- fix response to dropped packets.
- fix man page, address must be before options.
- close stderr to prevent holding open ssh sessions.
- minor hint added in case of EIO on read() of pty.
- support synchronous HDLC ppp encoding. Synchronous mode results in an
  important improvement of the CPU efficiency.
- handle out-of-order packets arriving on the GRE socket by buffering.
- bind GRE socket early to prevent ICMP Unreachable response by client.
* Mon Nov 11 2002 - meissner@suse.de
- initial packaging.
